Unit Groups
Get unit group details
Retrieves detailed information about a specific unit group, including services available
GET
/
shopping
/
{portfolio}
/
v1
/
unitGroups
/
{unitGroupUuid}
Get unit group details
curl --request GET \
--url https://public-api.prd.monument.io/shopping/{portfolio}/v1/unitGroups/{unitGroupUuid} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://public-api.prd.monument.io/shopping/{portfolio}/v1/unitGroups/{unitGroupUuid}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://public-api.prd.monument.io/shopping/{portfolio}/v1/unitGroups/{unitGroupUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"unitGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unitGroupDepth": 123,
"unitGroupWidth": 123,
"unitGroupHeight": 123,
"amenities": [
{
"key": "<string>",
"present": true
}
],
"types": {
"vehicleRv": true,
"selfStorage": true
},
"availableUnitCount": 123,
"unitCount": 123,
"description": "<string>",
"facilityName": "<string>",
"facilityAddress": "<string>",
"additionalServices": {
"itemUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemTypeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"priceInPennies": 123,
"isRecurring": false,
"isRequiredAtMoveIn": false,
"entityAttributeOrganizationUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"feePercentage": 123
},
"currentStreetRate": 123,
"currentWebRate": 123,
"unitType": "<string>",
"bestAutoAppliedPromotion": {
"facilityUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unitGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotionUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotionName": "<string>",
"highestDiscountAmount": 123
},
"unitTypeImage": "<string>"
}Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Query Parameters
Response
200 - application/json
The additional services which can be provided to a lead renting from this unit group
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Best auto-applied promotion for the facility
Show child attributes
Show child attributes
⌘I
Get unit group details

